# ``twisted`.`conch`.`interfaces`.`ISession``

interface documentation

`class ISession(Interface): (source)`

Known implementations: `twisted.conch.manhole_ssh.TerminalSession`, `twisted.conch.unix.SSHSessionForUnixConchUser`

View In Hierarchy

Undocumented

Method | `closed` | Called when the session is closed.
Method | `eofReceived` | Called when the other side has indicated no more data will be sent.
Method | `execCommand` | Execute a command.
Method | `getPty` | Get a pseudo-terminal for use by a shell or command.
Method | `openShell` | Open a shell and connect it to proto.
Method | `windowChanged` | Called when the size of the remote screen has changed.

def closed(): (source)
Called when the session is closed.
def eofReceived(): (source)
Called when the other side has indicated no more data will be sent.
def execCommand(proto, command): (source)
Execute a command.

Parameters
proto | a `ProcessProtocol` instance.
command | Undocumented

def getPty(term, windowSize, modes): (source)

Get a pseudo-terminal for use by a shell or command.

If a pseudo-terminal is not available, or the request otherwise fails, raise an exception.

def openShell(proto): (source)
Open a shell and connect it to proto.

Parameters
proto | a `ProcessProtocol` instance.

def windowChanged(newWindowSize): (source)
Called when the size of the remote screen has changed.